07 января 2013

Установить Java 8 в Ubuntu/Linux Mint


Что такое Java?

Программное обеспечение Java позволяет играть в сетевые игры, общаться с людьми по всему миру, подсчитывать проценты по ипотечным кредитам и просматривать трехмерные изображения. Приложения, которые написаны на языке программирования Java и доступ к которым можно получить из браузера, называются "апплетами". Крупные компании также используют апплеты Java для интранет-приложений и для систем электронной коммерции.
Программное обеспечение Java для компьютера или среду исполнения Java называют также средой Java Runtime, средой выполнения, JRE, виртуальной машиной Java, виртуальной машиной, Java VM, JVM, VM или загружаемыми файлами Java.



Установка Java 8 в Ubuntu/Linux Mint

Откройте терминал (Ctrl+Alt+T), скопируйте и выполните эту последовательность команд:

sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java8-installer

Этот процесс может занять некоторое время, потому что вы должны скачать Oracle Java 8 прямо с сайта.

После завершения установки убедитесь, что Oracle Java 8 установилась и работает нормально. Выполните команду в терминале:

java -version

Если все прошло хорошо, вы должны получить отчет в терминале, как на снимке ниже:



 Источник: WebUpd8

Удачи.

26 комментариев :

  1. Извиняюсь. Как бы не понял. Вот у меня LibreOffice установлен. Значит у меня уже есть Java? Или как?

    ОтветитьУдалить
    Ответы
    1. Есть. А ты проверь версию командой: java -version

      Удалить
    2. Не хочешь ставить новую версию, оставайся на старой.

      Удалить
    3. Я уже установил новыю. - 8

      Интересно, какая разница.

      Удалить
  2. Скажите а почему у меня b71 а не b70 как у вас?

    ОтветитьУдалить
    Ответы
    1. У меня теперь тоже b71 после обновления.

      Удалить
    2. Понял спасибо за оперативность

      Удалить
  3. Спасибо у меня все так-же как у тебя.
    С уважением Володя.

    ОтветитьУдалить
  4. скажите у меня сейчас стоит 6я версия жава оракла, если я поставлю на установку эту 8ю то она заменит 6ю? и почему эта 8я версия в обновлениях не вылезает репозиторий я соответствующий включил как раз для того чтобы вручную не обновлять.

    ОтветитьУдалить
    Ответы
    1. Естественно 8-я заменит 6-ю. А в репозиториях её пока нет, поэтому нет в обновлениях.

      Удалить
    2. нет не заменила, мне пришлось удалять шестую версию вручную после установки 8!

      Удалить
  5. и она была в менеджере пакетов синаптик, у меня уже был включен вышенаписанный репозиторий, в нем я и нашел восьмую версию, а в обновлениях его не было. да и еще после установке в папке кэш остается папка от установочных файлов которые просто так не очищается, так что я удалил ее вручную так как место она занимает в сто мегабайт

    ОтветитьУдалить
  6. А почему вот это http://itmages.ru/image/view/839209/8b22dc96

    ОтветитьУдалить
  7. тоже поставил, проверил, и действительно восьмерочка, адм. спс

    ОтветитьУдалить
  8. обратил внимание, что это jdk, а не jre =/

    ОтветитьУдалить
    Ответы
    1. Ну что? Задачу выполняют одну.

      Удалить
    2. Хочу предостеречь: jre которое входит в состав jdk предназначена исключительно для разработчиков и отличается от jre которая просто!! Работоспособность программ запущеных в jre из jdk не гарантируется

      Удалить
  9. размер больше почти в 2 раза. зато кодить можно... :)

    ОтветитьУдалить
  10. Подскажите как решить проблему. Установила, как написано выше, вопрос в следующем: каждый раз при запуске программы jDownloader появляется окно: Вы используете ненастоящую или модифицированную версию Java! Используйте настоящую версию SunJava. Все равно запустить программу? Ваша версия Java:
    Текущее значение: java(tm) se runtime environment
    Текущая версия: 1.8.0-ea-b86
    Объясните, пожалуйста, в чем здесь дело? Как сделать, чтобы этого сообщения не было?
    Моя ОС: Ubuntu 12.04

    ОтветитьУдалить
  11. Что то мне не очень понятно... Oracle разве анонсировала 8версию???

    ОтветитьУдалить
  12. Анонимный27 мая 2013 г., 15:59

    Как запустить jar файл

    ОтветитьУдалить
  13. java version "1.8.0-ea"
    Java(TM) SE Runtime Environment (build 1.8.0-ea-b93)
    Java HotSpot(TM) Client VM (build 25.0-b34, mixed mode)

    Захожу, к примеру, на сайт http://eyes.nasa.gov/earth/launch2.html
    получаю сообщение "плагин заблокирован т.к. устарел".
    Подскажите Как его омолодить)?

    ОтветитьУдалить
    Ответы
    1. Потому что этот сайт http://eyes.nasa.gov/earth/launch2.html открывается в системах Windows и MacOS.

      [im]http://s017.radikal.ru/i423/1306/30/8aba5c1a081d.jpg[/im]

      Внимательней читать нужно, что открываешь.

      Удалить
    2. и на оф. сайте java проверка выдала "устарел". удалил, переустанавил...бестолку.
      выполнил сейчас на обум вот это:
      sudo add-apt-repository ppa:webupd8team/java
      sudo apt-get update
      sudo apt-get install oracle-java6-installer
      Захожу на яву и наконец получаю:Поздравляем!
      У вас установлена рекомендованная версия Java (1.8.0-ea).

      Удалить
  14. Не забывайте сначала удалять OpenJDK, если вдруг он был до этого установлен:

    sudo apt-get purge openjdk*
    sudo apt-get clean
    sudo apt-get autoremove

    ОтветитьУдалить